Skip to main content
GET
/
proposals
List Proposals
curl --request GET \
  --url https://api.example.com/proposals \
  --header 'X-API-Key: <api-key>'
{
  "proposals": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "clientName": "<string>",
      "clientLocation": "<string>",
      "currency": "<string>",
      "hourlyRate": "<string>",
      "requirements": [
        {}
      ],
      "settings": {},
      "status": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "total": "<string>",
      "outcome": "<string>",
      "outcomeAt": "2023-11-07T05:31:56Z",
      "outcomeReason": "<string>",
      "outcomeNotes": "<string>",
      "outcomeValue": "<string>",
      "authorName": "<string>"
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

Query Parameters

skip
integer
default:0
Required range: x >= 0
limit
integer
default:50
Required range: 1 <= x <= 100
status
string | null

Filter by status

Response

Successful Response

Schema for listing proposals.

proposals
ProposalResponse · object[]
required
total
integer
required